@import url('font.css');

:root {
    --light: #ff8160;
    --dark: #4448f1;
    --bg-image: url("../img/header-blue.png");
}

.theme-blue {
    --light: #ff8160;
    --dark: #4448f1;
    --bg-image: url("../img/header-blue.png");
}

.theme-green {
    --light: #11e282;
    --dark: #943eff;
    --bg-image: url("../img/header-green.png");
}

.theme-yellow {
    --light: #f2d477;
    --dark: #ff3e6b;
    --bg-image: url("../img/header-yellow.png");
}

body {
    background: var(--light);
    color: var(--dark);
}

html {
  scroll-padding-top: 72px; /* Höhe des fixen Headers */
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  line-height: 1.8;
  font-family: 'Rubik', sans-serif;
  font-weight: 300;
  background-color: #353027;
}

b {
  font-weight: 400;
}

h1 {
  font-family: 'Tropiland', sans-serif;
  font-size: 3.5rem;
  margin-bottom: 1rem;
  text-transform: uppercase;
}

h2 {
  font-family: 'Rubik', sans-serif;
  font-weight: 400;
  font-size: 16px;
  margin-bottom: 1rem;
  text-transform: uppercase;
}

header {
  position: sticky;
  top: 0;
  background: #353027;
  color: #fff;
  padding: 0.5rem 1rem;
  display: flex;
  justify-content: space-between; /* Logo links, Menüicon rechts */
  align-items: center;
  z-index: 1000;
}

header #logo {
  height: 50px;
}

nav ul {
  list-style: none;
  display: flex;
  gap: 1rem;
}

nav a {
  color: #fff;
  text-decoration: none;
}

nav a:hover {
  text-decoration: underline;
}

#menu-toggle {
  display: none;
}

.menu-icon {
  display: none;
  cursor: pointer;
  font-size: 1.5rem;
}

#section_hello {
  background: var(--light);
  color: #353027;
  height: 160px;
}

#section_hello img {
  height: 140px;
  width: auto;
  margin-left: 30px;
}


#section_flyer {
  background: #eeece6;
  color: #353027;
}


#flyer img {
  max-width: 300px;
  width: 100%;
  height: auto;
  border: 10px solid #ffffff;
}



#section_gallery {
  background: var(--dark);
}

#section_club {
  background: #ffffff;
}

#section_club img, #section_contact img{
  height: 170px;
  width: auto;
}

#section_club .single-column {
  padding-bottom: 0;
}

#section_club .tripple-column {
  padding-top: 0;
}

#section_membership {
  background: var(--light);
  color:#353027;
}

#section_membership h1 {
  color: var(--dark);
}

#section_membership a{
  background-color: var(--dark);
  color:var(--light);
  font-weight: 400;
  text-decoration: none;
  padding: 2px 6px;
}

#section_membership a:hover{
  text-decoration: underline;
}

#section_club a{
  background-color: #353027;
  color: #eeece6;
  font-weight: 400;
  text-decoration: none;
  padding: 2px 6px;
}

#section_club a:hover{
  text-decoration: underline;
}

#section_press {
  background: #eeece6;
}

#section_contact {
  background: #353027;
  color: #eeece6;
}

#section_contact a{
  color: var(--light);
  text-decoration: none;
}

#section_contact a:hover{
  text-decoration: underline;
}

#section_blank {
  background: var(--light);
  height: 40px;
}

#section_footer {
  background: #353027;
  color: #fff;
}

#section_join {
  height: 300px;
  background-image: var(--bg-image);
  background-repeat: no-repeat;
  background-position: left bottom;
  background-size: auto 350px;
  background-color: var(--dark);
  grid-template-columns: 1fr auto;
  color: var(--light);
  text-transform: uppercase;
}

#section_join p {
  font-weight: 400;
}


#section_join img {
  height: 260px;         /* Bildgröße begrenzen */
  width: auto;
}


section {
  width: 100%;
  display: flex;
  flex-direction: column;   /* Kinder untereinander */
  align-items: center;      /* mittig innerhalb der Section */
  color: #353027;
}

/* drei Spalten nebeneinander */
.tripple-column {
  max-width: 1000px;
  width: 100%;
  display: grid;
  grid-template-columns: repeat(3, 1fr); /* drei gleich breite Spalten */
  gap: 2rem;
  padding: 1.5rem;
  text-align: left;
}

.double-column {
  max-width: 1000px;
  width: 100%;
  display: grid;
  grid-template-columns: repeat(2, 1fr); /* drei gleich breite Spalten */
  gap: 2rem;
  padding: 1.5rem;
  text-align: left;
}

/* Variante: Inhalte linksbündig */
.double-column.left {
  justify-items: start;   /* alle Grid-Items links */
  text-align: left;
}

/* Variante: Inhalte zentriert */
.double-column.center {
  justify-items: center;  /* alle Grid-Items mittig */
  text-align: center;
}

.double-column.right {
  justify-items: end; 
  text-align: right;
}

#section_hello .single-column {
  max-width: none;
}

#section_join .double-column {
  max-width: none;
}


/* einzelne Spalte darunter */
.single-column {
  max-width: 1000px;
  width: 100%;
  padding: 1.5rem;
  text-align: left;
}

/* Variante: Inhalte linksbündig */
.single-column.left {
  justify-items: start;   /* alle Grid-Items links */
  text-align: left;
}

/* Variante: Inhalte zentriert */
.single-column.center {
  justify-items: center;  /* alle Grid-Items mittig */
  text-align: center;
}


.column.left{
  justify-items: start;   /* alle Grid-Items links */
  text-align: left;
}

.column.right{
  justify-items: start;   /* alle Grid-Items links */
  text-align: right;
}

.column.center{
  justify-items: center;   /* alle Grid-Items links */
  text-align: center;
}


#join{
  grid-template-columns: 1fr 120px;
}



#footer {
  font-size: smaller;
  justify-content: center;
  padding: 1rem;
  text-align: center;
}

#privacy {
  font-size: x-smallersmall;
  color: #777777;
}

#privacy a {
  color: #777777;
  text-decoration: none;
  line-height: 2.3em;
}

#privacy a:hover {
  text-decoration: underline;
}



#section_join a {
  background-color: #eeece6;
  color: var(--dark);
  display: inline-block;
  margin-top: 30px;
  padding: 5px 10px;
  text-decoration: none;
  font-weight: 400;
}

#section_join a:hover {
  text-decoration: underline;
}



.parallax {
  position: relative;
  height: 400px;
  overflow: hidden;
}
.parallax img {
  position: absolute;
  top: -85%;
  left: 0;
  width: 100%;
  height: auto;
  transform: translateY(0%);
  will-change: transform;
}





#gallery {
  display: grid;
  max-width: 1000px;
  margin: 0 auto;
  padding: 0;
  gap: 0; 
}

#gallery img {
  width: 100%;
  height: auto;
  display: block;
}




.bullet {
  display: inline-flex;
  align-items: center;    
  margin-top: 20px;
}

.bullet img {
  width: 40px !important;           
  height: 40px !important;
  margin-right: 10px !important;   
  flex: 0 0 auto;         
}

.bullet a {
  color: var(--dark);
  display: inline-block;
  text-decoration: none;
  font-weight: 400;
}

.bullet a:hover {
  text-decoration: underline;
}


#zuendfunk {
  height: 130px;
  width: auto;
  margin: 0;
}

#bogdahn {
  height: 180px;
  width: auto;
  margin: 0;
}

/* Standard: Desktop → kein Umbruch */
.mobile-break {
  display: inline;
}
